// Version: $Id: 98d2306a85ee06bd3becd101776b20bff385e0a1 $
//
//

// Commentary:
//
//

// Change Log:
//
//

// Code:

//![0]
#pragma once

#include "dtkabstractsolver.h"

#include <QtCore>

class xyzSolverPlugin : public dtkAbstractSolver
{
    Q_OBJECT
    Q_INTERFACES(dtkAbstractSolver)
    Q_PLUGIN_METADATA(IID "fr.inria.xyzSolverPlugin" FILE "xyzSolverPlugin.json")

public:
     xyzSolverPlugin(void) {}
    ~xyzSolverPlugin(void) {}

public:
    void setMethod(const QString& method);
    int solve(void);
    QString result(void);
};
//! [0]

//
// xyzsolver.h ends here
